Function
goRightChild
Sets the iterator to the right child of the current node if it exists and returns true, otherwise the iterator does not change position and the function returns false.
bool goRightChild(iterator)
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a wavelet tree structure. Types: RightArrayBinaryTree Iterator

Remarks
goRightChild(iterator) goes down the right edge if it exist.
Return Values
true if the edge or path to go down exists, otherwise false.
Member of
RightArrayBinaryTree Iterator
Examples
String<Dna5> genome = "ACGTACGT";
RightArrayBinaryTree<Dna5> waveletTreeStructure(genome);
Iterator<RightArrayBinaryTree<Dna5>, TopDown<> >::Type it;
it = begin(waveletTreeStructure); // go to root node
goRightChild(it); // go to right child of root node
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58